package org.simantics.export.core.impl;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

import org.simantics.db.exception.DatabaseException;
import org.simantics.export.core.ExportContext;
import org.simantics.export.core.error.ExportException;
import org.simantics.export.core.intf.ContentTypeAction;
import org.simantics.export.core.util.ExportQueries;

public class DefaultContentTypeAction implements ContentTypeAction {

	@Override
	public Map<String, String> getLabels( ExportContext ctx, Collection<String> contents) throws ExportException {
		try {
			Map<String, String> labels = new HashMap<String, String>();
			labels.putAll( ctx.session.syncRequest( ExportQueries.labels( contents ) ) );
			return labels;
		} catch (DatabaseException e) {
			throw new ExportException(e);
		}
	}

}
